/**
 *  * Задание 3.
 *
 * Написать функцию-счётчик count.
 *
 * Функцию обладает будет двумя параметрами:
 * - Первый — число, с которого необходимо начать счёт;
 * - Второй — число, которым необходимо закончить счёт.
 *
 * Если число, с которого начинается счёт больше, чем число,
 * которым он заканчивается, вывести сообщение:
 * «⛔️ Ошибка! Счёт невозможен.»
 *
 * Если оба этих числа одинаковые, вывести сообщение:
 * «⛔️ Ошибка! Нечего считать.»
 *
 * В начале счёта необходимо вывести сообщение:
 * «🏁 Отсчёт начат.».
 *
 * Каждый «шаг» счёта необходимо выводить в консоль.
 * После прохождения последнего «шага» необходимо вывести сообщение:
 * «✅ Отсчёт завершен.».
 *
 */

function count(startNum, endNum) {

	if (startNum > endNum) {

		console.log('⛔️ Ошибка! Счёт невозможен.');

	} else if (startNum === endNum) {

		console.log('⛔️ Ошибка! Нечего считать.');

	} else {

		console.log('🏁 Отсчёт начат.');

		for (let i = startNum; i <= endNum; i++) {
			console.log(i);
		}

		console.log('✅ Отсчёт завершен.')
	}
}

count(10, 8);